Bug 100312 - I18N - project encoding property is not present
I18N - project encoding property is not present
Status: RESOLVED FIXED
Product: soa
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Venkat Chellasamy
issues@soa
: I18N, UMBRELLA
Depends on: 109428 109429 109431 109433 109436
Blocks: 97848
  Show dependency treegraph
 
Reported: 2007-04-08 17:08 UTC by Ken Frank
Modified: 2007-10-11 20:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2007-04-08 17:08:46 UTC
*** Is a separate issue needed for each project type under soa - ie
bpel, iep, compapp, sql, workflow, xslt ?  If so, please file under
each of those subcats and then this one could be closed or used as an umbrella
issue for all under enterprise.


The new SPI FileEncodingQueryImplementation allows IDE components like editor,
search, etc to handle correctly encoding of files. The implementation of
FileEncodingQueryImplementation should be provided in the project's lookup.
The typical implementation of this query uses a project property with encoding
and returns a Charset.forName (evaluator.getProperty(name_of_encoding_property).
The project should also provide a control in the project's customizer to allow
user to change the encoding of the project.

Issues have been filed on all project types about this.

In general
all the project types, if they are not derived from others, should
implement FileEncodingQuery. Also data types (DataObjects)
which have some special encoding requirements, like properties, should
do it.

For more info see issue: #42638
Tomas Zezula could tell you more about this.


*** Please also add to umbrella task on this item,  97848 , the bug id of this
one and others that need to be filed under enterprise.
Comment 1 Ken Frank 2007-07-07 18:20:19 UTC
Will this be done for nb6 ? all other project types have implemented or are finishing implementation
of it thus to be consistent for users, it seems that enterprise projects would need to do it also.

Am assuming this issue covers all enterprise project types and file types - but if separate issue
needed for each soa/bpel project and/or file type, please file those and use this as umbrella issue.

ken.frank@sun.com
Comment 2 Sergey Lunegov 2007-07-25 15:30:13 UTC
Ken, I've removed 109434 from dependency list since it's IEP issue and IEP is not partof NB 6.0 anymore
Comment 3 Venkat Chellasamy 2007-08-14 19:32:51 UTC
Update: For NB6: compapp, bpel, xslt and sql projects need to be fixed
currently compapp, bpel and xslt have been fixed so far.
Comment 4 Venkat Chellasamy 2007-10-11 20:30:35 UTC
All related tickets are now fixed. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo